import java.util.*;

public class Test {      
         
 public static void main(String[] args) throws Exception {
     
     System.out.println("\n-------------------------------------------");
     System.out.println(" FBook Tester (version 20170119)  ");
     System.out.println("-------------------------------------------\n");
     FBook fb = new FBook();
     System.out.println("Loading: "+ args[0]);
     fb.addMembers(args[0]);
     System.out.println("Loading: "+ args[1]);
     fb.addFriends(args[1]);
     
     String commands = "help, size, mostPop (most), leastPop (least), average (avg)\n" + 
                       "find (f), friends? (pals?), commonFriends (cf), quit (q)";

     System.out.println(commands);
     Scanner sc = new Scanner(System.in);

     System.out.print("> ");
     String command = sc.next();
     
     while (!command.equals("quit") && !command.equals("q")){
	 if (command.equals("help")) System.out.println(commands);
	 if (command.equals("size")) System.out.println(fb.size());
	 if (command.equals("find") || command.equals("f")){
	    System.out.print(">> ");
	    String s = sc.next();
	    System.out.println(fb.find(s));
	 }
	  if (command.equals("friends?") || command.equals("pals?")){
	    System.out.print("1st person >> ");
	    Person p1 = fb.find(sc.next());
	    System.out.print("2nd person >> ");
	    Person p2 = fb.find(sc.next());
	    System.out.println(fb.areFriends(p1,p2));
	 }
	  if (command.equals("commonFriends") || command.equals("cf")){
	    System.out.print("1st person >> ");
	    Person p1 = fb.find(sc.next());
	    System.out.print("2nd person >> ");
	    Person p2 = fb.find(sc.next());
	    ArrayList<Person> people = fb.commonFriends(p1,p2);
	    if (people != null)
		for (Person p : people) System.out.println(p.getName());
	    else
		System.out.println("null");
	 }
	  if (command.equals("mostPop") || command.equals("most")){
	      System.out.println(fb.mostPopular());
	 }
	  if (command.equals("leastPop") || command.equals("least")){
	      System.out.println(fb.leastPopular());
	 }
	   if (command.equals("average") || command.equals("avg")){
	       System.out.println(fb.avgPopularity());
	 }
	 System.out.print("> ");
	 command = sc.next();
     }
 }
}
